import { EntityInventoryComponent } from "@minecraft/server";
export class playerManager {
    static stopSound(player, soundID) {
        player.runCommand(`stopsound @s ${soundID}`);
    }
    static giveItem(player, item) {
        const inv = player.getComponent(EntityInventoryComponent.componentId);
        if (inv.container == undefined)
            return;
        if (inv.container?.emptySlotsCount > 0) {
            inv.container.addItem(item);
        }
        else {
            const loc = player.location;
            player.dimension.spawnItem(item, { x: loc.x, y: loc.y + 1.5, z: loc.z });
        }
    }
}
